**Changes in 7.0.1:**

- _Adrian L Lange (1):_
  - Update Interface version (#380)
- 1 file changed, 1 insertion(+), 1 deletion(-)

**Changes in 7.0.0:**

- _Adrian L Lange (21):_
  - druidmana: Rename element to "AdditionalPower"
  - totems: TotemFrame is parented to PlayerFrame
  - additionalpower: Remove beta client compatibility code
  - core: There are 5 arena and boss frames
  - core: Make sure UpdateAllElements has an event
  - classicons: Fake unit if player is in a vehicle
  - aura: Update returns from UnitAura (#314)
  - core: Expose header visibility (#329)
  - range: Make sure we actually have and send the correct object
  - tags: Update documentation
  - classpower: Only show active bars (#363)
  - Convert the changelog script to output markdown formatted logs
  - Don't count merge commits as actual changes in the changelog
  - Use a custom changelog generated before packaging
  - Add automatic packaging with the help of TravisCI and BigWigs' packager script
  - Put the changelog in the cloned directory
  - Only let travis run on master
  - Revert "Put the changelog in the cloned directory"
  - Only let travis run on master
  - Don't restrict builds away from tags
  - We need to escape the regex pattern for travis config
- _Erik Raetz (1):_
  - Use GetCreatureDifficultyColor and fallback level 999
- _Gethe (1):_
  - Add support for reverse fill statusbars
- _Jakub Šoustar (2):_
  - totems: Remove priorities
  - totems: Use actual number of totem sub-widgets instead of MAX_TOTEMS
- _Phanx (1):_
  - health: Ignore updates with nil unit (Blizz bug in 7.1) (#319)
- _Rainrider (34):_
  - core:  update the pet frame properly after entering/exiting a vehicle
  - power: Allow using atlases
  - castbar: add a .holdTime option
  - castbar: use SetColorTexture
  - castbar: deprecate .interrupt in favor of .notInterruptible
  - castbar: remove some unused variables
  - castbar: rename object to self
  - castbar: upvalue GetNetStats
  - castbar: update interruptible flag in UNIT_SPELLCAST(_NOT)_INTERRUPTIBLE
  - castbar: delegate hiding the castbar to the OnUpdate script
  - castbar: set .Text for failed and interrupted casts accordingly
  - castbar: pass the spellid to Post* hooks where applicable
  - castbar: add .timeToHold option
  - health: update documentation
  - healprediction: update documentation
  - portrait: update documentation
  - power: update documentation
  - powerprediction: update documentation
  - range: update documentation
  - runes: update documentation
  - stagger: update documentation
  - totems: update documentation
  - additionalpower: update documentation
  - alternativepower: update documentation
  - classpower: update documentation
  - auras: update documentation
  - castbar: update documentation
  - tags: update documentation
  - core: update documentation
  - portrait: check for PlayerModel instead of Model
  - range: minor cleanup
  - raidroleindicator: make sure all update paths trigger Pre|PostUpdate
  - masterlooterindicator: make sure all update paths trigger Pre|PostUpdate
  - runes: update docs
- _Sticklord (1):_
  - core: Change the framestrata to LOW
- _Val Voronov (19):_
  - tags: Added 'powercolor' tag.
  - runebar: Set cooldown start time to 0 if rune was energized (#310)
  - healthprediction: Element update (#353)
  - runes: Min value should be 0
  - runes: Add colouring support
  - additionalpower: Move colour update to its own function (#360)
  - auras: Element update (#361)
  - stagger: Move colour update to its own function (#359)
  - runes: Add nil and 0 spec checks (#367)
  - classpower: Element update (#368)
  - core: oUF.xml cleanup (#369)
  - alternativepower: Move Hide() call to a better spot
  - health: Add Show() call to Enable function
  - healthprediction: Remove redundant Show() calls
  - portrait: Move Show() call to a better spot
  - power: Add Show() call to Enable function
  - stagger: Move Hide() call to a better spot
  - threatindicator: Fix UnitThreatSituation error (#371)
  - Add README (#373)
- 65 files changed, 5536 insertions(+), 4507 deletions(-)

**Changes in 1.6.9:**

- _Adrian L Lange (46):_
  - core: Expose the headers
  - tags: No need to match the same string twice
  - castbar: Kill the pet casting bar if we spawn a player castbar
  - runebar: Bail if GetRuneCooldown returns nil values
  - cpoints: Use UNIT_POWER_FREQUENT instead of UNIT_COMBO_POINTS
  - tags: Use UNIT_POWER_FREQUENT instead of UNIT_COMBO_POINTS for cpoints
  - eclipsebar: Remove element
  - stagger: Monk stances no longer exist
  - stagger: The default MonkStaggerBar is parented to PlayerFrame, no need to hide it manually
  - tags: Remove 'pereclipse' tag
  - power: Update power colors and indices for Legion
  - power: Handle power colors from nested tables, such as the stagger colors
  - health: Fix tapping for Legion
  - power: Fix tapping for Legion
  - stagger: Color indices were exposed in Legion (build 21996)
  - runebar: RuneFrame was parented to PlayerFrame in 5.3
  - stagger: Add fallback indices for live clients
  - readycheck: Use the animation system for handling fading
  - readycheck: Add support for overriding the textures
  - readycheck: Add PreUpdate/PostUpdate/PostUpdateFadeOut hooks
  - druidmana: Add support for other classes in Legion
  - classicons: Chi is only used for Windwalker monks
  - classicons: Holy Power is only used for Retribution paladins
  - classicons: Shadow Orbs no longer exist in Legion
  - classicons: Soul Shards are class-wide in Legion
  - classicons: Add Arcane Chages for Arcane Mages
  - classicons: Add Combo Points for rogues and druids
  - classicons: Use the colors provided by the color table for the textures
  - classicons: Only update textures if the classicons are textures
  - classicons: Add support for vehicle combo points
  - classicons: Pass powerType through PostUpdate
  - classicons: Add fallback texture color for vehicles
  - classicons: Update when max power changes
  - tags: Add Arcane Charges tag
  - tags: Remove Shadow Orbs tag from Legion
  - tags: Chi is only used for Windwalker monks in Legion
  - tags: Soul Shards are class-wide in Legion
  - tags: Update spec check for the holypower tag
  - classicons: Remove pre-legion compatibility checks
  - health: Remove pre-legion compatibility checks
  - power: Remove pre-legion compatibility checks
  - runebar: Runes were simplified in Legion, now there's only one type
  - runebar: Add Override support and rename the PostUpdate hook
  - runebar: Allow PostUpdate during vehicle updates
  - classicons: Make sure we update for talent changes for druids
  - druidmana: Add overrides for the display pairs table
- _Chris Bannister (1):_
  - aura: Dont have oUF aura specific logic inside CreateIcon
- _Phanx (1):_
  - aura: Update UnitAura return values
- _Rainrider (3):_
  - runebar: account for energized runes
  - runebar: deactivating OnUpdate is handled in Update
  - runebar: let the layout define the max number of runes
- _Trond A Ekseth (5):_
  - aura: Make the previous commit backwards compatible.
  - aura: Add missing internal state update after second createAuraIcon call.
  - totems: Update example to include cooldown template.
  - Bump TOC interface version to 7.0 (70000).
  - Bump TOC version to 1.6.9.
- _Val Voronov (16):_
  - powerprediction: Add power cost prediction widget.
  - prestige: Add prestige widget.
  - powerprediction: Hide bars, when element is disabled.
  - prestige: Remove prestige element.
  - pvp: Element revamp.
  - powerprediction: (Un)register 'UNIT_SPELLCAST_SUCCEEDED' event.
  - druidmana: Fixed additional power bar update process.
  - power: Alternative power colours use 0-255 range.
  - power: Alternative power colours use 0-1 range too.
  - power: Better condition.
  - power: Even better condition.
  - powerprediction: Legion clean-up.
  - pvp: Legion clean-up.
  - aura: Fixed issue which was causing /fstack error.
  - power: Added a comment.
  - aura: A better way of getting parent frame's name.
- _Valeriy Voronov (4):_
  - altpowerbar: Use correct UnitAlternatePowerInfo() returns.
  - altpowerbar: Set OnLeave script only if frame doesn't have one yet.
  - stagger: Perform an actual update on forced update event.
  - classicons: Actually update widgets on forced update.
- 19 files changed, 634 insertions(+), 583 deletions(-)

**Changes in 1.6.8:**

- _Adrian L Lange (5):_
  - eclipsebar: Use the correct spellIDs for eclipse peaks
  - eclipsebar: Use UNIT_POWER_FREQUENT since the astral phases has sped up significantly
  - eclipsebar: arg1 of ECLIPSE_DIRECTION_CHANGE is a string now
  - classicons: Keep the overrides consistent with the rest of the elements
  - tags: Only show spec-specific tags when the resource is both usable and available
- _Trond A Ekseth (10):_
  - eclipsebar: Re-add .directionIsLunar.
  - classicons: Fix declaraction of Visibility function.
  - classicons: Run ClassPowerDisable on unsupported clases/specs.
  - classicons: Rewrap doc text.
  - classicons: Set file mode -x.
  - range :Set file mode -x.
  - stagger: Rewrap docs.
  - healprediction: Rewrap docs.
  - classicons: On enable, set the old max to the current total of icons.
  - Bump TOC version to 1.6.8.
- 7 files changed, 56 insertions(+), 50 deletions(-)

